Bug 143689 - Xpmcreate.c compiles without LONG64 defined on x86_64 platform
Xpmcreate.c compiles without LONG64 defined on x86_64 platform
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openmotif (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
http://bugs.motifzone.net/show_bug.cg...
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-24 00:12 EST by Wade Mealing
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 11:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2004-12-24 00:12:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
The LONG64 macro from XFree86 seems to be defined properly in most of
the package, due to a header file not being included, it is not
defined when Xpmcreate.c is compiled.  

Because of the undefined size, the heap is corrupted when creating a
pixmap.


Both XFree and Debian have this in their bugzilla.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=174282 
http://bugs.xfree86.org/show_bug.cgi?id=562 

Seems like a problem with the header file not being included

Patch is available:
http://bugs.xfree86.org/attachment.cgi?id=462


Version-Release number of selected component (if applicable):
 openmotif-2.2.3-3.RHEL3

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL on AMD64
2. use application that uses motif to draw a xpm pixmap
3. Notice image corruption, possible crash.
    

Actual Results:  Image is corrupted or in some cases, application crash.

Expected Results:  Image to display correctly on 32 and 64 bit
applications.

Additional info:

Workaround is present (So i'm told), it is also fixed in upstream cvs.
Comment 1 Thomas Woerner 2005-08-26 11:48:18 EDT
This has been fixed in RHSA-2005:412.

Note You need to log in before you can comment on or make changes to this bug.